summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Arun Mascarenhas <arunmascarenhas@yahoo.com>2014-12-16 18:25:29 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-12-16 18:25:29 +0700
commit77b7439f328e5a80cb3b277f88e5310c7126b89c (patch)
tree65832fffe012d98c8eee623aaf69cff7a7fd5486 /development
parent0193a5a11e26ee0455dba009f45f310b4999fcef (diff)
downloadslackbuilds-77b7439f328e5a80cb3b277f88e5310c7126b89c.tar.gz
slackbuilds-77b7439f328e5a80cb3b277f88e5310c7126b89c.tar.xz
development/julia: Added (Dynamic Programming Language).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/julia/README7
-rw-r--r--development/julia/doinst.sh3
-rw-r--r--development/julia/julia.SlackBuild102
-rw-r--r--development/julia/julia.info10
-rw-r--r--development/julia/slack-desc19
5 files changed, 141 insertions, 0 deletions
diff --git a/development/julia/README b/development/julia/README
new file mode 100644
index 0000000000..9722cf439b
--- /dev/null
+++ b/development/julia/README
@@ -0,0 +1,7 @@
+Julia is a high-level, high-performance dynamic programming language for technical computing
+with syntax that is familiar to users of other technical computing environments.
+It provides a sophisticated compiler, distributed parallel execution, numerical accuracy, and
+an extensive mathematical function library.
+
+The library, largely written in Julia itself, also integrates mature, best-of-breed C and
+Fortran libraries for linear algebra, random number generation, signal processing, and string processing.
diff --git a/development/julia/doinst.sh b/development/julia/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/julia/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/julia/julia.SlackBuild b/development/julia/julia.SlackBuild
new file mode 100644
index 0000000000..e3d2af1bc4
--- /dev/null
+++ b/development/julia/julia.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for julia
+
+# Copyright 2014 Arun Mascarenhas, United States
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=julia
+VERSION=${VERSION:-0.3.3}
+VERSION_TAG=${VERSION_TAG:-b24213b893}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCH=i386
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ ARCH=i386
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ ARCH=x86_64
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ ARCH=i386
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $PKG/usr $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION_TAG}
+tar xvf $CWD/$PRGNAM\-${VERSION}\-linux\-$ARCH.tar.gz
+cd $PRGNAM-${VERSION_TAG}
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cp -r bin $PKG/usr/bin
+cp -r etc $PKG/usr/etc
+cp -r include $PKG/usr/include
+cp -r lib $PKG/usr/lib${LIBDIRSUFFIX}
+cp -r libexec $PKG/usr/libexec${LIBDIRSUFFIX}
+cp -r share $PKG/usr/share
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+rm -rf $PKG/usr/share/julia/doc/man/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/$PRGNAM.info > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.info
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/julia/julia.info b/development/julia/julia.info
new file mode 100644
index 0000000000..984a87a1d7
--- /dev/null
+++ b/development/julia/julia.info
@@ -0,0 +1,10 @@
+PRGNAM="julia"
+VERSION="0.3.3"
+HOMEPAGE="http://julialang.org"
+DOWNLOAD="https://julialang.s3.amazonaws.com/bin/linux/x86/0.3/julia-0.3.3-linux-i386.tar.gz"
+MD5SUM="b6af0cf30a80d753520d0942ef551bf6"
+DOWNLOAD_x86_64="https://julialang.s3.amazonaws.com/bin/linux/x64/0.3/julia-0.3.3-linux-x86_64.tar.gz"
+MD5SUM_x86_64="84138ce908792e22a3a5cc2e48e420b9"
+REQUIRES=""
+MAINTAINER="Arun Mascarenhas"
+EMAIL="arunmascarenhas@yahoo.com"
diff --git a/development/julia/slack-desc b/development/julia/slack-desc
new file mode 100644
index 0000000000..c868414b63
--- /dev/null
+++ b/development/julia/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+julia: julia (a high-level, high performance dynamic programming language)
+julia:
+julia: Julia is a high-level, high performance dynamic language for
+julia: technical computing, with syntax that is familiar to users of other
+julia: technical computing environments. It provides a sophisticated
+julia: compiler, distributed parallel execution, numerical accuracy, and an
+julia: extensive mathematical function library.
+julia:
+julia: Homepage: http://julialang.org
+julia: Release date: November 24, 2014
+julia: